Invoice Actions
POST
https://api.vercel.com/v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}/actionsThis endpoint allows the partner to request a refund for an invoice to Vercel. The invoice is created using the Submit Invoice API.
https://api.vercel.com/v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}/actions
const response = await fetch('https://api.vercel.com/v1/installations/integrationConfigurationId/billing/invoices/invoiceId/actions', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "action": "refund", "reason": "Customer requested refund", "total": "100.00" }),});
const data = await response.json();console.log(data);Response
{}AuthorizationbearerToken
Default authentication mechanism